﻿--[[
    Project: Treasurehunter
    Author: Ketzerey@Tirion
    Discripton: Tomtom Waypoints for Treasures in Pandaria
    Release Date: 30.10.2012
    Release Version: 0.1
    Internal: TH.01
]]--

LibStub:GetLibrary("LibDataBroker-1.1"):NewDataObject("Treasure", {
	type = "launcher",
	icon = "Interface\\AddOns\\ExaileBroker\\icons\\treasure",
	OnClick = function(clickedframe, button)
			local macroId = CreateMacro("Schatz01", "INV_MISC_QUESTIONMARK", "/way Der Jadewald 41.8 17.6 Hammer der zehn Donner\n/way Der Jadewald 43.0 11.6 Hammer der zehn Donner\n/way Der Jadewald 41.2 13.9 Hammer der zehn Donner\n/way Der Jadewald 39.3 46.65 Jadedurchdrungende Klinge", nil);
			local macroId = CreateMacro("Schatz02", "INV_MISC_QUESTIONMARK", "/way Der Jadewald 46.1 29.1 Uralte pandarische Spitzhacke\n/way Der Jadewald 44.1 27.0 Uralte pandarische Spitzhacke\n/way Der Jadewald 43.8 30.7 Uralte pandarische Spitzhacke\n/way Der Jadewald 44.6 27.8 Uralte pandarische Spitzhacke", nil);
			local macroId = CreateMacro("Schatz03", "INV_MISC_QUESTIONMARK", "/way Der Jadewald 44.2 28.7 Uralte pandarische Spitzhacke\n/way Der Jadewald 45.6 29.6 Uralte pandarische Spitzhacke\n/way Der Jadewald 44.3 28.6 Uralte pandarische Spitzhacke\n/way Der Jadewald 47.1 67.4 Uralter Stab der Jinyu", nil);
			local macroId = CreateMacro("Schatz04", "INV_MISC_QUESTIONMARK", "/way Der Jadewald 46.2 71.2 Uralter Stab der Jinyu\n/way Der Jadewald 44.9 64.6 Uralter Stab der Jinyu\n/way Der Jadewald 46.4 65.3 Uralter Stab der Jinyu\n/way Der Jadewald 46.5 70.0 Uralter Stab der Jinyu", nil);
			local macroId = CreateMacro("Schatz05", "INV_MISC_QUESTIONMARK", "/way Der Jadewald 39.4 7.3 Wodins Mantisfetzer\n/way Tal der Vier Winde 15.4 29.1 Stab des verborgenen Meisters\n/way Tal der Vier Winde 17.5 35.7 Stab des verborgenen Meisters\n/way Tal der Vier Winde 19.1 37.9 Stab des verborgenen Meisters", nil);
			local macroId = CreateMacro("Schatz06", "INV_MISC_QUESTIONMARK", "/way Tal der Vier Winde 15.0 33.7 Stab des verborgenen Meisters\n/way Tal der Vier Winde 19.0 42.5 Stab des verborgenen Meisters\n/way Tal der Vier Winde 43.5 37.4 Truhe mit geklauten Waren\n/way Tal der Vier Winde 46.8 24.6 Geisterhafter Pandarenangler", nil);
			local macroId = CreateMacro("Schatz07", "INV_MISC_QUESTIONMARK", "/way Tal der Vier Winde 45.4 38.2 Geisterhafter Pandarenhandwerker\n/way Krasarangwildnis 42.3 92.0 Ausrüstungsspind\n/way Krasarangwildnis 50.8 49.3 Pandarischer Fischspeer\n/way Krasarangwildnis 52.3 88.7 Fass mit Bananenrum", nil);
			local macroId = CreateMacro("Schatz08", "INV_MISC_QUESTIONMARK", "/way Kun-Lai-Gipfel 35.2 76.3 Kafapresse\n/way Kun-Lai-Gipfel 51.5 74.0 Kriegerspeer der Ho-zen\n/way Kun-Lai-Gipfel 71.2 62.6 Robuster Yaungolspeer\n/way Kun-Lai-Gipfel 70.0 63.8 Robuster Yaungolspeer", nil);
			local macroId = CreateMacro("Schatz09", "INV_MISC_QUESTIONMARK", "/way Kun-Lai-Gipfel 74.7 74.9 Stoffkiste des Berggeists\n/way Kun-Lai-Gipfel 44.7 52.4 Tafel von Ren Yun\n/way Tonlongsteppe 66.3 44.7 Feuerträger der Yaungol\n/way Tonlongsteppe 66.8 48.0 Feuerträger der Yaungol", nil);
			local macroId = CreateMacro("Schatz10", "INV_MISC_QUESTIONMARK", "/way Schreckensöde 25.9 50.3 Blutgetränktes Chitinfragment\n/way Schreckensöde 66.8 63.8 Klinge des Ersten\n/way Schreckensöde 28.8 41.9 Klinge des vergifteten Geistes\n/way Schreckensöde 33.0 30.1 In Amber eingeschlossene Halskette", nil);
			local macroId = CreateMacro("Schatz11", "INV_MISC_QUESTIONMARK", "/way Schreckensöde 48.7 30.0 Maliks tapferer Speer\n/way Schreckensöde 30.2 90.8 Mutationsstab des Sezierers\n/way Schreckensöde 71.8 36.1 Schnellstoßdolch des Windschnitters\n/way Schreckensöde 54.2 56.4 Medaillon des Schwarmwächters", nil);
			local macroId = CreateMacro("Schatz12", "INV_MISC_QUESTIONMARK", "/way Schreckensöde 56.8 77.6 Schwärmendes Spaltbeil von Ka’roz\n/way Schreckensöde 42.0 62.2 Gl.Rapanaschnecke\n/way Schreckensöde 42.2 63.6 Gl.Rapanaschnecke\n/way Schreckensöde 41.6 64.6 Gl.Rapanaschnecke\n/way Schreckensöde 40.8 64.3 Gl.Rapanaschnecke", nil);
			end,
	OnTooltipShow = function(tooltip)
		if not tooltip or not tooltip.AddLine then return end
		tooltip:AddLine("Treasurehunter")
		tooltip:AddLine("-----------")
		tooltip:AddLine("by Ketzerey@Tirion")
		tooltip:AddLine("----------")
		tooltip:AddLine("Klick to Create Treasure Macros")
	end,
})
